package schedframe.resources.computing.extensions;

import schedframe.resources.computing.profiles.energy.EnergyExtension;
import schedframe.resources.computing.profiles.load.LoadExtension;

public enum ExtensionType {

	ENERGY_EXTENSION("EnergyExtension", EnergyExtension.class),
	LOAD_EXTENSION("LoadExtension", LoadExtension.class);
	
	private String name;
	private Class<?> _interface;
	
	private ExtensionType(String name, Class<?> _class){
		this.name = name;
		this._interface = _class;
	}
	
	public String toString(){
		return this.name;
	}
	
	public boolean isValidFor(Extension m){
		return (m == null ? false : _interface.isAssignableFrom(m.getClass()));
	}
}